Rails.application.configure do
	config.assets.paths << Rails.root.join('vendor', 'assets', 'components')

	# via https://gist.github.com/afeld/5704079

	# We don't want the default of everything that isn't js or css, because it pulls too many things in
	config.assets.precompile.shift

	# Explicitly register the extensions we are interested in compiling
	config.assets.precompile.push(Proc.new do |path|
	  File.extname(path).in? [
	    '.png',  '.gif', '.jpg', '.jpeg', '.svg', # Images
	    '.eot',  '.otf', '.svc', '.woff', '.ttf', # Fonts
	  ]
	end)
end